import{s as Ae,f as fe,n as Ee,o as Ue}from"../chunks/scheduler.63274e7e.js";import{S as We,i as je,g as a,s as n,r as U,A as De,h as s,f as o,c as l,j as pe,u as W,x as r,k as m,y as Ye,a as i,v as j,d as D,t as Y,w as B}from"../chunks/index.bf3f3f8e.js";import{H as F}from"../chunks/Heading.500d2301.js";function Be(ge){let h,R,A,S,p,q,c,de,z,g,we="The main goal of this course is to <strong>learn how to use these new powerful AI models</strong> for game development, either during game creation or as part of the gameplay to unlock innovative experiences!",K,d,ye="And the best way to learn is <strong>by doing</strong>. That’s why we decided that to get your certificate of completion (free!), you <strong>must provide a demo you built yourself or as part of a team</strong>.",Q,w,ve="Indeed, at the end of the course, you’ll <strong>have your game demo using AI</strong>.",J,y,Te="Here are the <strong>criteria for validating the game demo</strong>:",N,v,$e="<li>Have a <strong>team from 1 to 5 teammates</strong>.</li> <li>Have a working demo that can <strong>run either on WEBGL or Windows</strong>.</li> <li>The demo and application must be in <strong>English</strong>.</li> <li>The game must use <strong>at least one open-source tool as part of the game or workflow</strong>.</li>",O,T,_e="If you don’t have ideas yet, <strong>don’t worry</strong>; we wrote some “Demo Units” that will help you define your game demo and avoid common pitfalls (scope too big, etc.).",X,$,Z,_,Me="It’s up to you. For now, <strong>we advise you to use Unity</strong> since we produced most of the content for this v1 of the course with their tools.",V,M,He="We strongly advise you to choose a game engine and not develop a game from scratch with only code. The goal of building a demo in one month is already a big step, and adding complexity is not a good idea.",ee,H,te,L,Le='Don’t worry, that’s the perfect time to start! If you want to start making games with Unity, check their amazing <a href="https://learn.unity.com/course/create-with-code" rel="nofollow">Create with Code course</a>, where you’ll learn how to make five different games. This free introduction <strong>will teach you everything you need to know</strong> to be able to follow our ML for Games Course.',oe,b,be='Create with code course 👉 <a href="https://learn.unity.com/course/create-with-code" rel="nofollow">https://learn.unity.com/course/create-with-code</a>',ie,x,xe='In addition, you can watch this excellent introduction to Unity by <a href="https://www.youtube.com/@GMTK" rel="nofollow">GMTK (Game Maker’s Toolkit)</a>',ne,u,Ce,le,C,ae,k,ke="You can get a free certificate of completion at the end of the course. <strong>We’ll explain later how to get it 🤗</strong>.",se,P,re,f,Pe,me,I,Ie="The minimum tools you need are:",ue,G,Ge="<li><em>A computer</em> with an internet connection.</li> <li>A <em>Hugging Face Account</em>: (it’s free) to use AI models and publish your game demos.</li> <li>A <em>Game Engine License</em>. A free version is enough in most cases. Naturally, you could create your game from scratch, but we strongly advise using a Game Engine. We generally recommend Unity, as the first iteration of this course uses Unity tools. You can also use Unreal if <strong>you’re prepared to translate the concepts to their environment</strong>.</li>",he,E,ce;return p=new F({props:{title:"Your Game Demo",local:"your-game-demo",headingTag:"h1"}}),$=new F({props:{title:"How do I choose which Game Engine to use?",local:"how-do-i-choose-which-game-engine-to-use",headingTag:"h2"}}),H=new F({props:{title:"But… I don’t know how to make games!",local:"but-i-dont-know-how-to-make-games",headingTag:"h2"}}),C=new F({props:{title:"The Certification Process",local:"the-certification-process",headingTag:"h2"}}),P=new F({props:{title:"What tools do I need?",local:"what-tools-do-i-need",headingTag:"h2"}}),{c(){h=a("meta"),R=n(),A=a("p"),S=n(),U(p.$$.fragment),q=n(),c=a("img"),z=n(),g=a("p"),g.innerHTML=we,K=n(),d=a("p"),d.innerHTML=ye,Q=n(),w=a("p"),w.innerHTML=ve,J=n(),y=a("p"),y.innerHTML=Te,N=n(),v=a("ul"),v.innerHTML=$e,O=n(),T=a("p"),T.innerHTML=_e,X=n(),U($.$$.fragment),Z=n(),_=a("p"),_.innerHTML=Me,V=n(),M=a("p"),M.textContent=He,ee=n(),U(H.$$.fragment),te=n(),L=a("p"),L.innerHTML=Le,oe=n(),b=a("p"),b.innerHTML=be,ie=n(),x=a("p"),x.innerHTML=xe,ne=n(),u=a("iframe"),le=n(),U(C.$$.fragment),ae=n(),k=a("p"),k.innerHTML=ke,se=n(),U(P.$$.fragment),re=n(),f=a("img"),me=n(),I=a("p"),I.textContent=Ie,ue=n(),G=a("ul"),G.innerHTML=Ge,he=n(),E=a("p"),this.h()},l(e){const t=De("svelte-u9bgzb",document.head);h=s(t,"META",{name:!0,content:!0}),t.forEach(o),R=l(e),A=s(e,"P",{}),pe(A).forEach(o),S=l(e),W(p.$$.fragment,e),q=l(e),c=s(e,"IMG",{src:!0,alt:!0,width:!0}),z=l(e),g=s(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-1smn3kb"&&(g.innerHTML=we),K=l(e),d=s(e,"P",{"data-svelte-h":!0}),r(d)!=="svelte-ofkp74"&&(d.innerHTML=ye),Q=l(e),w=s(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-1hh100e"&&(w.innerHTML=ve),J=l(e),y=s(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-wpca9r"&&(y.innerHTML=Te),N=l(e),v=s(e,"UL",{"data-svelte-h":!0}),r(v)!=="svelte-u8vs50"&&(v.innerHTML=$e),O=l(e),T=s(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-1s0e96i"&&(T.innerHTML=_e),X=l(e),W($.$$.fragment,e),Z=l(e),_=s(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-1u4jj8u"&&(_.innerHTML=Me),V=l(e),M=s(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-o9wnd8"&&(M.textContent=He),ee=l(e),W(H.$$.fragment,e),te=l(e),L=s(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-1pd3hlh"&&(L.innerHTML=Le),oe=l(e),b=s(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1uvvcef"&&(b.innerHTML=be),ie=l(e),x=s(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-1yyl037"&&(x.innerHTML=xe),ne=l(e),u=s(e,"IFRAME",{width:!0,height:!0,src:!0,title:!0,frameborder:!0,allow:!0}),pe(u).forEach(o),le=l(e),W(C.$$.fragment,e),ae=l(e),k=s(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-1p4dw8w"&&(k.innerHTML=ke),se=l(e),W(P.$$.fragment,e),re=l(e),f=s(e,"IMG",{src:!0,alt:!0,width:!0}),me=l(e),I=s(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-u73ygj"&&(I.textContent=Ie),ue=l(e),G=s(e,"UL",{"data-svelte-h":!0}),r(G)!=="svelte-1ub37tl"&&(G.innerHTML=Ge),he=l(e),E=s(e,"P",{}),pe(E).forEach(o),this.h()},h(){m(h,"name","hf:doc:metadata"),m(h,"content",Fe),fe(c.src,de="https://huggingface.co/datasets/huggingface-ml-4-games-course/course-images/resolve/main/en/unit0/game-demo.jpg")||m(c,"src",de),m(c,"alt","Game Dev"),m(c,"width","100%"),m(u,"width","560"),m(u,"height","315"),fe(u.src,Ce="https://www.youtube.com/embed/XtQMytORBmM?si=D6Q-8kGZsJIRm7Pe")||m(u,"src",Ce),m(u,"title","YouTube video player"),m(u,"frameborder","0"),m(u,"allow","accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"),u.allowFullscreen="",fe(f.src,Pe="https://huggingface.co/datasets/huggingface-ml-4-games-course/course-images/resolve/main/en/unit0/tools.jpg")||m(f,"src",Pe),m(f,"alt","Tools needed for the course"),m(f,"width","100%")},m(e,t){Ye(document.head,h),i(e,R,t),i(e,A,t),i(e,S,t),j(p,e,t),i(e,q,t),i(e,c,t),i(e,z,t),i(e,g,t),i(e,K,t),i(e,d,t),i(e,Q,t),i(e,w,t),i(e,J,t),i(e,y,t),i(e,N,t),i(e,v,t),i(e,O,t),i(e,T,t),i(e,X,t),j($,e,t),i(e,Z,t),i(e,_,t),i(e,V,t),i(e,M,t),i(e,ee,t),j(H,e,t),i(e,te,t),i(e,L,t),i(e,oe,t),i(e,b,t),i(e,ie,t),i(e,x,t),i(e,ne,t),i(e,u,t),i(e,le,t),j(C,e,t),i(e,ae,t),i(e,k,t),i(e,se,t),j(P,e,t),i(e,re,t),i(e,f,t),i(e,me,t),i(e,I,t),i(e,ue,t),i(e,G,t),i(e,he,t),i(e,E,t),ce=!0},p:Ee,i(e){ce||(D(p.$$.fragment,e),D($.$$.fragment,e),D(H.$$.fragment,e),D(C.$$.fragment,e),D(P.$$.fragment,e),ce=!0)},o(e){Y(p.$$.fragment,e),Y($.$$.fragment,e),Y(H.$$.fragment,e),Y(C.$$.fragment,e),Y(P.$$.fragment,e),ce=!1},d(e){e&&(o(R),o(A),o(S),o(q),o(c),o(z),o(g),o(K),o(d),o(Q),o(w),o(J),o(y),o(N),o(v),o(O),o(T),o(X),o(Z),o(_),o(V),o(M),o(ee),o(te),o(L),o(oe),o(b),o(ie),o(x),o(ne),o(u),o(le),o(ae),o(k),o(se),o(re),o(f),o(me),o(I),o(ue),o(G),o(he),o(E)),o(h),B(p,e),B($,e),B(H,e),B(C,e),B(P,e)}}}const Fe='{"title":"Your Game Demo","local":"your-game-demo","sections":[{"title":"How do I choose which Game Engine to use?","local":"how-do-i-choose-which-game-engine-to-use","sections":[],"depth":2},{"title":"But… I don’t know how to make games!","local":"but-i-dont-know-how-to-make-games","sections":[],"depth":2},{"title":"The Certification Process","local":"the-certification-process","sections":[],"depth":2},{"title":"What tools do I need?","local":"what-tools-do-i-need","sections":[],"depth":2}],"depth":1}';function Re(ge){return Ue(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ke extends We{constructor(h){super(),je(this,h,Re,Be,Ae,{})}}export{Ke as component};
